      Structure / General_Param_INT /   
        Union
          Map
            integer*1 Array(512)
          End Map
          Map
            character*40 motion_file
            character*40 average_file 
            character*40 force_file
            character*9  last_updated
            character*40 name
            character*80 comment
            integer*4 age
            integer*4 weight             
            integer*4 height             
            integer*4 num_seg                                   
            integer*4 seg_num(15)
            integer*4 num_jnt
            integer*4 jnt_num(15)
            logical*4 single_cycle
            logical*4 normalized
            logical*4 seg_unrotated
            logical*4 seg_smooth
            integer*4 int_poly_order
            integer*4 analysis_type  ! 1- full body, 2-upper only, 3-lower only
            integer*4 ByteOrderCheck
            character Sex*1
            character FileFormatVersion*1
            integer*1 filler(83)      ! 4- force plate only 
          End Map        !  ^          
        End Union           ! fill out structure to 512 bytes
      end Structure          
                                  
      Structure / Motion_Param_VerB /
        Union
          Map
            integer*1 Array(512)
          End Map            
          Map
            integer*4 num_frm
            integer*4 frm_rate
            integer*4 num_cycle
            integer*4 cycle_first_frm(5)
            integer*4 cycle_last_frm(5)
            integer*4 cycle_length(5)
            integer*4 num_rhs
            integer*4 num_lhs
            integer*4 num_rto
            integer*4 num_lto
            integer*4 rhs_frm(5)
            integer*4 lhs_frm(5)
            integer*4 rto_frm(5)
            integer*4 lto_frm(5)
            integer*4 first_ft
            integer*4 num_mrk                            
            character*4 mrk_name(30)
            integer*4 first_frm      ! used with tr3 files to show clipping
            integer*1 filler(212)    ! makes structure occupy 512 bytes
          End Map
        End Union               
      end Structure

      Structure / Coord_System_INT /
        integer*4 LCS(3,4)
      end Structure

      Structure / Force_Param_INT / 
        Union    
          Map                                                 
            integer*4 Array(128)
          End Map
          Map
            integer*4 num_frm
            integer*4 frm_rate
            integer*4 av_frm_ratio
            integer*4 frm_offset
            integer*4 first_frm
            integer*4 last_frm
            integer*4 num_plt
            integer*4 plt_size(2,4)                 ! changed from real to integer
            record / Coord_System_INT / plt_loc(4)  ! changed from real to integer
            integer*4 num_rtft_plt
            integer*4 num_lfft_plt  
            integer*4 rtft_plt(4)
            integer*4 lfft_plt(4)
            logical*4 dbl_stance_OK
            integer*4 FirstFoot
            integer*4 Direction
            integer*1 filler(216)     ! fill out structure to 512 bytes
          End Map                   
        End Union              
      end Structure

      Structure / Seg_Param_INT / 
        Union
          Map
            integer*4 Array(128)
          End Map
          Map
            integer*4 length       ! changed from real to integer
            integer*4 avg_cntr(3)  ! "
            integer*4 mass         ! "
            integer*4 inertia(3)   ! "
            integer*4 shape(3,8)   ! "
            integer*4 num_end
            integer*4 end(3,4)     ! "
            integer*4 num_mrk
            integer*4 mrk_num(5)
            integer*4 num_mrk_dist
            integer*4 dist_mrk_num(2,10)
            integer*4 TCStoLCS(3,4)       ! added for rigid body calc 10/92
            integer*4 mpnLCS(3,5)         ! added for rigid body calc 10/92
            integer*4 nmTCS
            integer*4 mnTCS(5)
            integer*1 filler(92)
          End Map         
        End Union                 
      end Structure            
                           
      Structure / Cycle_INT / ! all elements of structure changed from real
        Union                 ! to integer except first_side
          Map     
            integer*4 Array(128)
          End Map                  
          Map
            integer*4 first_side  
            integer*4 stride_length
            integer*4 step_length(2)     ! order- first 1/2, second 1/2
            integer*4 step_width
            integer*4 cycle_time
            integer*4 cadence    
            integer*4 velocity
            integer*4 sgl_time(2)     ! order rt,1  lf,2
            integer*4 sgl_percent(2) 
            integer*4 dbl_time(2)
            integer*4 dbl_percent(2)
            integer*4 total_time(2)
            integer*4 total_percent(2)
            integer*4 hs_percent(3)          ! order- 1st, 2nd, 1st foot
            integer*4 to_percent(2)          ! order- 2nd, 1st foot
            integer*4 NormStrideLength
            integer*4 NormStepLength(2)     ! order- first 1/2, second 1/2
            integer*4 NormStepWidth
            integer*4 NormCycleTime
            integer*4 NormCadence
            integer*4 NormVelocity
            integer*4 PctNormStrideLength
            integer*4 PctNormStepLength(2)     ! order- first 1/2, second 1/2
            integer*4 PctNormStepWidth
            integer*4 PctNormCycleTime
            integer*4 PctNormCadence
            integer*4 PctNormVelocity
            integer*4 NormSglPct(2)   
            integer*4 NormDblPct(2)  
            integer*4 NormTotalPct(2) 
            integer*4 NormHsPct(3)      ! order- 1st, 2nd, 1st foot
            integer*4 NormToPct(2)      ! order- 2nd, 1st foot
            integer*1 filler(312)  ! fill out structure to 512 bytes
          End Map                  
        End Union                  
      end Structure          
c
c     Structure to hold the segment and joint names along with the 
c     connectivity array.
c     Added by dam 1/93 for version 'd' of ANZ file format
c
      Structure /SegJntInfo/
        Union
          Map
            character seg_names(15)*4
            character jnt_names(15)*4
            integer*4 jnt_seg_num(2,15)
            integer*1 filler(272)
          End Map
          Map
            integer*1 array(512)
          End Map
        End Union
      End Structure

c      Structure / All_Flags /
c        Union
c          Map
c            record /MarkerFlag/  MRK  ! 28 Bytes   7x4
c            record /SegmentFlag/ SEG  ! 48   "    12x4
c            record /JointFlag/   JNT  ! 64   "    16x4
c            record /AvgPosFlag/  AVG  ! 20   "     5x4
c            record /ForceFlag/   FRC  ! 104  "    16x4 + 40
c            record /EmgFlag/     EMG  ! 224  "     6x4 + 200  =   488 Bytes Total
c            byte   filler(68)          !           --
c          End Map                      !           63
c          Map
c            integer*4 array(128)
c          End Map
c        End Union
c      End Structure

